#titanium-container {
    display: flex;
    flex-direction: column;
    min-width: 100px;
}

section {
    margin-bottom: 1rem;
}

.selector-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    margin: 1rem 0;
}

.selector, option {
    width: 100%;
    max-width: 700px;
    display: block;
    margin: 5px;
    padding: 4px 6px;
    border-color: var(--vscode-dropdown-border);
    border-radius: 2px;
    background-color: var(--vscode-dropdown-background);
    color: var(--vscode-dropdown-foreground);
    cursor: pointer;
    outline: none;
}

option:hover {
    background: var(--vscode-inputOption-hoverBackground);
}

optgroup {
    background-color: var(--vscode-inputOption-hoverBackground);
}

.measure-button {
    box-sizing: border-box;
    display: block;
    height: 100%;
    margin: 5px;
    cursor: pointer;
    padding: 4px 15px;
    border: 1px solid var(--vscode-button-border,transparent);
    border-radius: 2px;
    color: var(--vscode-button-secondaryForeground);
    background-color: var(--vscode-button-secondaryBackground);
    text-decoration: none;
    text-align: center;
    white-space: nowrap;
}

.measure-button:hover {
    background-color: var(--vscode-button-secondaryHoverBackground);
}

#stat-table-title {
    margin-bottom: 1rem;
}

table { 
    width: 100%; 
    border-collapse: collapse;
    border-width: 4px 1px;
}

.selector-container > table {
    max-width: 700px;
}

/* Zebra striping */
tr:nth-of-type(odd) { 
    background: var(--vscode-keybindingTable-rowsBackground); 
}

th { 
    background: var(--vscode-keybindingTable-headerBackground);
}

td, th {
    padding: 6px; 
    border: 1px solid var(--vscode-tree-tableColumnsBorder); 
    text-align: left; 
}

.title-cell {
    font-weight: bold;
    border-width: 4px 0;
    background-color: var(--vscode-keybindingLabel-background);
}
